Bug 750636 (CVE-2011-4092)

Summary: CVE-2011-4092 obby: does not validate SSL connections which can lead to MITM attacks
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: pfrields
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:58:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 750641, 750642    
Bug Blocks:    

Description Vincent Danen 2011-11-01 20:33:38 UTC
Vasiliy Kulikov reported [1] that obby does not check a server's SSL certificate when connecting.  It also sends the password in plaintext form over the SSL channel.  An attacker able to perform a MITM attack on the connection could easily do so without discovery due to obby not checking the server's SSL certificate.

Note: if the client is Gobby, the reconnection attempt will require user interaction.

Upstream has indicated [2] that it is not worth the effort to implement SSL certificate checking in obby as it is deprecated by libinfinity, which is used by the development version of Gobby, so there is currently no fix for obby.

[1] http://www.openwall.com/lists/oss-security/2011/10/30/3
[2] http://www.openwall.com/lists/oss-security/2011/10/30/5

Comment 1 Vincent Danen 2011-11-01 20:51:35 UTC
Created obby tracking bugs for this issue

Affects: fedora-all [bug 750641]
Affects: epel-all [bug 750642]

Comment 2 Product Security DevOps Team 2019-06-10 10:58:11 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.